| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::error_info Struct Reference

The full details of an error from a REST response. More...

`#include <restresults.h>`

Collaboration diagram for dpp::error_info:
[legend]

## Public Attributes

uint32_t | code = 0
| Error code.
std::vector< error_detail > | errors
| Field specific error descriptions.
std::string | human_readable
| Human readable error message constructed from the above.
std::string | message
| Error message.

## Detailed Description

The full details of an error from a REST response.

## Member Data Documentation

## ◆ code

uint32_t dpp::error_info::code = 0

Error code.

## ◆ errors

std::vector<error_detail> dpp::error_info::errors

Field specific error descriptions.

## ◆ human_readable

std::string dpp::error_info::human_readable

Human readable error message constructed from the above.

## ◆ message

std::string dpp::error_info::message

Error message.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0